« [Ruby] Geminstaller | トップページ | [Ruby] gmail_contacts »

2009年8月28日 (金)

[Ruby] rvm


0.0.21が公開されました(ruby-talk:344964)。



複数のRubyがインストールされている環境で、簡単にRubyを切り替えながら実行することができるツール。
ちなみに実行したいバージョンのRubyがインストールされていない場合にはインストールしてくれるようです。
実行するRuby関連のファイルは全て ~/.rvm 配下にインストールされるみたいです。



試してみた。



$ sudo gem install rvm
Successfully installed rvm-0.0.24


タイム・ラグがあったせいか 0.0.24 になってます。



$ rvm-install
$ export PATH=~/.rvm/bin:$PATH
$ rvm -v
$ rvm list
$ rvm use ruby 1.8.7 -l 160
$ rvm info
$


うーん。ruby 1.9.2dev (2009-08-22 trunk 24625) [i686-linux] で試してみたけど何のメッセージも表示されない...。
試しに、ruby 1.9.1p281 (2009-08-09 revision 24476) [i686-linux] でもやってみたけど、やっぱり何のメッセージも表示されませんでした。


|

« [Ruby] Geminstaller | トップページ | [Ruby] gmail_contacts »

コメント

この記事へのコメントは終了しました。